Page MenuHomePhabricator

Prevent imported commits from upstream phabricator to close random tasks
Closed, ResolvedPublic

Description

Apparently, @mmodell imported some commits from upstream phabricator to a repository hosted on diffussion here: arcanist/stable

Those commits had mentions to phabricator.org tasks, which resulted in actual mentions and closing several unrelated tasks on wikimedia's phabricator.

Tasks were closed when the summary contained strings like "close (task number)" or "fixes (task number).

See for example:

This generates unnecesary noise, and links unrelated commits to tasks

There should be a way to "ignore" the summary of any commits on a repository

Event Timeline

Ciencia_Al_Poder raised the priority of this task from to Needs Triage.
Ciencia_Al_Poder updated the task description. (Show Details)
Restricted Application added subscribers: scfc, Aklapper. · View Herald TranscriptOct 25 2015, 11:28 AM

Uhm. Thanks for catching that.
We had that before in T91488 and we thought it was fixed. Sigh.

Starts at https://phabricator.wikimedia.org/feed/?before=6203071778477797250 bottom, use "Prev" button to get more up to 6203077046862287490

Oversight, imported with autoclose enabled.

@Aklapper: I don't see the transactions in the feed on the page you linked to?

@Aklapper: I don't see the transactions in the feed on the page you linked to?

Uh? I do.

What do you see?

Apparently I had the wrong filter set. I went through and corrected the ones I could find by resetting status and removing the associated commits.

Aklapper lowered the priority of this task from High to Low.Oct 26 2015, 10:06 AM

So I went through the list and reverted any outstanding task status changes on those six affected tasks.

Cannot revert the "mmodell added a commit to task 123456" ones, obviously. :)

demon added a subscriber: demon.Nov 13 2015, 6:28 PM

I think this is all done?

mmodell closed this task as Resolved.Nov 13 2015, 6:36 PM
mmodell claimed this task.

As long as we don't have autoclose enabled it should be good.

Ciencia_Al_Poder reopened this task as Open.Sep 8 2016, 7:04 PM

It happened again, associating commits to unrelated tasks and triggering a bunch of email notifications: rPHDEP81dc55d04fec633ae3958e9849a43429468208aa#1952882 and also closing tasks where the task number was accompanied with the text "Fixes" (T11604#2617244)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 8 2016, 7:04 PM
mmodell closed this task as Resolved.Sep 8 2016, 8:54 PM

I reset all of the tasks' status' that were affected and fixed the autoclose setting on yet another repository.